# P0: Bay Area Bike Share Analysis
> Using bike-rental data provided by Bay Area Bike Share, insights on ridership patterns are discovered. The data investigation is shared using a Jupyter Notebook.

## About
In this project, a raw dataset is investigated, and the findings are shared using a Jupyter Notebook. Although Udacity provided the majority of the code as a boilerplate, this project served as good exposure to data analysis process.

#### The activities implemented in this project are:
1. Explore data related to three major bike-share systems in the United States.

2. Wrangling data to unify the format of data from three systems and write to compute descriptive statistics.

3. Visualize the data and report the findings.

## Files
- `Bay_Area_Bike_Share_Analysis.ipynb` – Main project file.

- `Bay_Area_Bike_Share_Analysis.html` – HTML export of the main project file.

- `babs_datacheck.py`; `babs_visualizations.py` – Supplemental scripts for checking data wrangling, reporting of basic statistics, and creation of exploratory bar charts and histograms.

- Data is split among twelve other files, organized into three sets of four files each. Prefixing each set is one of three datestamps, showing the end month for each data collection period (201402, 201408, 201508). Suffixes for each file indicate contents:

  - `*_README.txt` – Information about contents of data files.

  - `*_station_data.csv` – Basic information about station locations and capacities.

  - `*_trip_data.csv` – Information about each trip taken using the bike share system.

  - `*_weather_data.csv` – Weather information by day for one station in each city in the bike share program.

## License
[Modified MIT License © Pranav Suri](/License.txt)
