# Udacity: Data Analyst Nanodegree

This repository contains the projects completed as a part of Udacity's [Data Analyst Nanodegree](udacity.com/nanodegrees/nd002/).

![Certificate of Completion](/Certificate.jpg)

## Contents

### [P0: Bay Area Bike Share Analysis](https://goo.gl/dEZ1VR)
Using bike-rental data provided by Bay Area Bike Share, insights on ridership patterns are discovered. The data investigation is shared using a Jupyter Notebook.

### [P1: Test A Perceptual Phenomenon](https://goo.gl/eaafuT)
In this project, Stroop Effect, a classic result of experimental psychology is verified using descriptive statistics and statistical testing.

### [P2: Investigating Lahman's Baseball Database](https://goo.gl/GDg7H5)
Investigation of a curated dataset sourced from Lahman's Baseball Database is done to study player-performance metrics for their significance in match-winning contributions & player's salary.

### [P3: Wrangling OpenStreetMap Data](https://goo.gl/H4SCRN)
OpenStreetMap data of San Francisco, California is audited, cleaned and stored in an SQLite database. The database is then queried to extract information related to users contributing to the database & the amenities in the region. The project also provides suggestions for improving the data quality.

### [P4: Exploratory Data Analysis](https://goo.gl/J74ZRc)
This project is about investigating a dataset on chemical properties and quality ratings of wine samples by using exploratory data analysis techniques. The primary research target of the investigation was to find the chemical properties that affect the quality of red wines.

### [P5: Identifying Fraud from Enron Email Dataset](https://goo.gl/gk3La5)
With the help of machine learning techniques, a classification model is built to identify Enron Employees who may have committed fraud based on the public Enron financial and email dataset.

### [P6: Visualizing North-Korea's Missile Testing History](https://goo.gl/WixSZh)
This project is a data visualization in the form of a Tableau story which summarizes the history of missiles tested by North Korea based on 'The James Martin CNS: North Korea Missile Test Database.'

## License
[Modified MIT License © Pranav Suri](/License.txt)
